:root{
    --clr-neutral-900: hsl(207, 19%, 9%);
    --clr-neutral-100: hsl(0, 0%, 100%);
    --clr-accent-400: hsl(142, 90%, 61%)
}

*,
*::before,
*::after{
    box-sizing: border-box;
}

.card{
    color: var(--clr-neutral-100);
    background-image: url('hunter.jpg');
    background-size: cover;
    padding: 10em 0 0;
    max-width: 35ch;
    border-radius: 0.5rem;
    overflow: hidden;
    transition: transform 500ms ease;
}
.card:hover,
.card:focus-within{
    transform: scale(1.05);
}
.card-content{
    --padding:  1.5rem;
    padding: var(--padding);
    background: linear-gradient( 
        hsl(0 0% 0% / 0), 
        hsl(20 0% 0% / 0.3) 10%,
        hsl(0 0% 0% / 1)
        
        );
        
}
@media (hover){
    .card-content{
        transform: translateY(78%);
        transition: transform 500ms ease;
        transition-delay: 500ms;
    }
    .card:hover .card-content, 
    .card:focus-within .card-content{
        transform: translateY(0%);
        
}
    .card:focus-within .card-content{
        transition-duration: 0ms;
}
    .card-content > * :not(.card-title){
        opacity: 0;
        transition: opacity 500ms linear;
        
}

    .card:hover .card-content > * :not(.card-title),
    .card:focus-within .card-content> * :not(.card-title){
        opacity: 1;
        transition-delay: 1000ms;
}
    .card-content::after{
        transform: scaleX(0);
    }
};

.card-title{
    position: relative;
    width: max-content;
}
.card-title::after{
    content: '';
    position: absolute;
    height: 4px;
    left: calc(var(--padding) * -1);
    bottom: -2px;
    width: calc(100% + var(--padding));
    background: var(--clr-accent-400);
    
    transform-origin: left;
    transition: transform 500ms ease;
}
.card:hover .card-title::after,
.card:focus-within .card-content::after{
    transform: scaleX(1);
}
.card-body{
    color: rgb(255 255 255 / 0.85);
    text-align: justify;
}
.button{
    cursor: pointer;
    display: inline-block;
    text-decoration: none;
    color: var(--clr-neutral-900);
    background-color: var(--clr-accent-400);
    padding: 0.5em 1.25em;
    border-radius: .25em;
}
.button:hover,
.button:focus{
    background-color: var(--clr-neutral-100);
    
}